<app-breadcrumb-admin [single]="false" titlePage="Crear Usuario" backPage="Usuarios" url="users"></app-breadcrumb-admin>
<div class="row">
  <div class="col-12">
    <div class="card mb-3">
      <div class="card-header">
        <h3 class="text-capitalize"><fa-icon [icon]="faHandPointer"></fa-icon> Nuevo Usuario</h3>
      </div>
      <div class="card-body">
        <form (ngSubmit)="submit(form)"  #form="ngForm">
          <div class="form-floating">
            <input type="text" minlength="5" name="name" id="floatingName" placeholder="Nombre" class="form-control" ngModel required>
            <label for="floatingName">
              <span>Nombre</span>
            </label>
          </div>
          <div class="form-floating mt-3">
            <input type="email" name="email" id="floatingEmail" placeholder="CCorreo" class="form-control" ngModel required>
            <label for="floatingEmail">
              <span>Correo</span>
            </label>
          </div>
          <div class="form-floating mt-3">
            <select name="role" id="role" class="form-control">
              <option value="ADMIN_ROLE" *ngIf="storage.getUser().role == 'ADMIN_ROLE' || storage.getUser().role == 'SUPER_ADMIN_ROLE'">Administrador</option>
              <option value="STAFF_ROLE" *ngIf="storage.getUser().role == 'ADMIN_ROLE' || storage.getUser().role == 'SUPER_ADMIN_ROLE'">Centaurio</option>
              <option value="USER_ROLE" [selected]="storage.getUser().role == 'STAFF_ROLE'" >Cliente</option>
            </select>
            <label for="role">
              <span>Roles de Usuario</span>
            </label>
          </div>
          <div class="form-floating mt-3">
            <input [type]="type" name="password" id="floatingPassword" placeholder="Contraseña" class="form-control" ngModel required>
            <label for="floatingPassword">
              <span>Contraseña</span>
            </label>
            <fa-icon [icon]="faPassword" (click)="togglePassword()"></fa-icon>
          </div>
          <div class="form-floating mt-3">
            <input [type]="type" name="passwordRepeat" id="floatingPasswordRepeat" placeholder="Confirmar Contraseña" class="form-control" ngModel required>
            <label for="floatingPasswordRepeat">
              <span>Repite Contraseña</span>
            </label>
            <fa-icon [icon]="faPassword" (click)="togglePassword()"></fa-icon>
          </div>
          <div class="form-group float-end mt-3">
            <button class="btn btn-primary m-l-5 ms-4" type="submit" [disabled]="form.invalid">
              Guardar
            </button>
            <button type="reset" class="btn btn-secondary m-l-5 ms-4">
              Cancelar
            </button>
          </div>
        </form>
      </div>
    </div><!-- end card-->
  </div>
</div>
<!-- END container-fluid -->

